Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 244537 - Git show changes and diff window are not consistent
Git show changes and diff window are not consistent
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
8.0
PC Windows 7
: P3 (vote)
: 8.0.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-16 08:54 UTC by ChrisLE
Modified: 2014-07-14 14:12 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Show changes and diff (13.50 KB, image/png)
2014-05-16 08:54 UTC, ChrisLE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ChrisLE 2014-05-16 08:54:13 UTC
Created attachment 147294 [details]
Show changes and diff

As you can see in my screenshot, for the diff window there is on option to show the changes as a treeview which is not available for the show changes window.
It would be nice if we can have a consistent behaviour for similar things.


Regards

Chris
Comment 1 Ondrej Vrabec 2014-07-03 14:32:32 UTC
fixed: core-main #7a3bd281fe35
Comment 2 Quality Engineering 2014-07-04 02:37:26 UTC
Integrated into 'main-silver', will be available in build *201407040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7a3bd281fe35
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #244537 - Git show changes and diff window are not consistent
Comment 3 ChrisLE 2014-07-14 14:12:47 UTC
Works in dev build but now there is a bug :/
https://netbeans.org/bugzilla/show_bug.cgi?id=245650


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo